Cards, prop trading & accounting

Prop Trading Get Payout Import Rows

Pages through an import's rows with optional status filter, decrypting trader emails and resolving payout currency.

GEThttps://api.toku.com/hris/prop-trading-get-payout-import-rows

Required scope: payments:read. It also needs compensation:read.

curl --request GET \
  --url 'https://api.toku.com/hris/prop-trading-get-payout-import-rows?payoutImportID=%3CpayoutImportID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "payoutImportID": "string",
  "fileName": "string",
  "importStatus": "DRAFT",
  "totalRows": 0,
  "validRows": 0,
  "errorRows": 0,
  "parsedAt": "string",
  "committedAt": "string",
  "rows": [
    {
      "payoutImportRowID": "string",
      "rawRowIndex": 0,
      "traderEmail": "string",
      "traderName": "string",
      "amount": "string",
      "currencyCode": "string",
      "externalReference": "string",
      "status": "PENDING",
      "errorCodes": [
        "string"
      ],
      "errorMessages": [
        "string"
      ],
      "matchedRoleInOrgID": "string",
      "invoicePaymentID": "string",
      "payoutCurrency": "string"
    }
  ],
  "filteredCount": 0,
  "page": 0,
  "pageSize": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

payoutImportIDstring<uuid>required
statusstring

Available options: PENDING, VALID, INVALID, SKIPPED, COMMITTED

pageinteger

Allowed: at least 1

Default: 1

pageSizeinteger

Allowed: 1 to 5000

Default: 50

Response

200Successful response
payoutImportIDstringrequired
fileNamestringrequired
importStatusstringrequired

Available options: DRAFT, PARSING, PARSED, COMMITTING, COMMITTED, FAILED, CANCELLED

totalRowsintegerrequired
validRowsintegerrequired
errorRowsintegerrequired
parsedAtstring | nullrequired
committedAtstring | nullrequired
rowsobject[]required
Show child attributes
payoutImportRowIDstringrequired
rawRowIndexintegerrequired
traderEmailstringrequired
traderNamestring | nullrequired
amountstringrequired

Allowed: matches ^-?\d+(\.\d+)?(e[+-]?\d+)?$

currencyCodestringrequired
externalReferencestringrequired
statusstringrequired

Available options: PENDING, VALID, INVALID, SKIPPED, COMMITTED

errorCodesstring[]required
errorMessagesstring[]required
matchedRoleInOrgIDstring | nullrequired
invoicePaymentIDstring | nullrequired
payoutCurrencystring | nullrequired
filteredCountintegerrequired
pageintegerrequired
pageSizeintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits